Subject: Re: EH-201911250011-533260 This order has been cancelled
From: [email-masked]
To: "- Dr. Sam Robbins -" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Nov 2019 18:52:07 -0800

Hello Dr.Sam,

Thank you so much for your kind appreciation and I promise you this
I'll never let you or your work down.

Best regards,
Bryan

_________________________________________________________
Sent:Mon, 25 Nov 2019 07:49:13 -0800
Subject:Re: EH-201911250011-533260 This order has been cancelled

perfect, you did great. Thank you very much. =)
On Mon, Nov 25, 2019 at 12:12 AM <[email-masked] [1]> wrote:
Hello Dr.Sam,

I hope that you're doing well.

This is an auto-ship order which has been cancelled by using the ship
station. Please check and let us know if there is anything else which
needs to be done.

Thank you,
Bryan  

Links:
------
[1] mailto:[email-masked]